org.eclnt.jsfserver.util

## Class SessionInvalidationServlet

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.util.SessionInvalidationServlet

-     public class SessionInvalidationServlet
      extends CCServletBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInvalidationServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
    `protected void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`
    `void` | `init()`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionInvalidationServlet

          public SessionInvalidationServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws ServletException

      Overrides:
        `init` in class `CCServletBase`
      Throws:
        `ServletException`

    - #### doGet

          protected void doGet(HttpServletRequest req,
                               HttpServletResponse resp)
                        throws ServletException,
                               java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### doPost

          protected void doPost(HttpServletRequest req,
                                HttpServletResponse resp)
                         throws ServletException,
                                java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.